Avro C#

Classes | Public Member Functions | Protected Member Functions | List of all members
Avro.Generic.GenericDatumReader< T > Class Template Reference

PreresolvingDatumReader<T> for reading data to GenericRecord classes or primitives. For more information about performance considerations for choosing this implementation. More...

Inheritance diagram for Avro.Generic.GenericDatumReader< T >:

## Classes
class | GenericRecordAccess

## Public Member Functions
| GenericDatumReader (Schema writerSchema, Schema readerSchema)
| Initializes a new instance of the GenericDatumReader<T> class. More...
Public Member Functions inherited from Avro.Generic.PreresolvingDatumReader< T >
T | Read (T reuse, Decoder decoder)
| Read a datum. Traverse the schema, depth-first, reading all leaf values in the schema into a datum that is returned. If the provided datum is non-null it may be reused and returned.

## Protected Member Functions
override bool | IsReusable (Schema.Type tag)
| Indicates if it's possible to reuse an object of the specified type. Generally false for immutable objects like int, long, string, etc but may differ between the Specific and Generic implementations. Used to avoid retrieving the existing value if it's not reusable.
override ArrayAccess | GetArrayAccess (ArraySchema readerSchema)
| Returns an ArrayAccess implementation for the given schema.
override EnumAccess | GetEnumAccess (EnumSchema readerSchema)
| Returns an EnumAccess implementation for the given schema.
override MapAccess | GetMapAccess (MapSchema readerSchema)
| Returns a MapAccess implementation for the given schema.
override RecordAccess | GetRecordAccess (RecordSchema readerSchema)
| Returns a RecordAccess implementation for the given schema.
override FixedAccess | GetFixedAccess (FixedSchema readerSchema)
| Returns a FixedAccess implementation for the given schema.
Protected Member Functions inherited from Avro.Generic.PreresolvingDatumReader< T >
delegate object | ReadItem (object reuse, Decoder dec)
| Defines the signature for a function that reads an item from a decoder. More...
| PreresolvingDatumReader (Schema writerSchema, Schema readerSchema)
| Initializes a new instance of the PreresolvingDatumReader<T> class. More...

## Additional Inherited Members
Static Protected Member Functions inherited from Avro.Generic.PreresolvingDatumReader< T >
static Schema | FindBranch (UnionSchema us, Schema s)
| Finds the branch of the union schema associated with the given schema. More...
Properties inherited from Avro.Generic.PreresolvingDatumReader< T >
Schema | ReaderSchema`[get]`
Schema | WriterSchema`[get]`
Properties inherited from Avro.Generic.DatumReader< T >
Schema | ReaderSchema`[get]`
| Schema used to read the data. More...
Schema | WriterSchema`[get]`
| Schema that was used to write the data. More...

## Detailed Description

PreresolvingDatumReader<T> for reading data to GenericRecord classes or primitives. For more information about performance considerations for choosing this implementation.

Template Parameters

  T | Type to deserialize data into.

## Constructor & Destructor Documentation

## ◆ GenericDatumReader()

Avro.Generic.GenericDatumReader< T >.GenericDatumReader | ( | Schema | writerSchema,
|  | Schema | readerSchema
| ) |  |
| inline

Initializes a new instance of the GenericDatumReader<T> class.

Parameters

  writerSchema | Schema that was used to write the data.
  readerSchema | Schema to use to read the data.

The documentation for this class was generated from the following file:

- src/apache/main/Generic/GenericDatumReader.cs